#pragma once

#include <spdlog/spdlog.h>

#define ndm_NAME "ndm"

#define ndm_MAKE_VERSION(major, minor, patch) (((major) << 22) | ((minor) << 12) | (patch))
#define ndm_VERSION_MAJOR(version) (static_cast<uint32_t>(version) >> 22)
#define ndm_VERSION_MINOR(version) ((static_cast<uint32_t>(version) >> 12) & 0x3ff)
#define ndm_VERSION_PATCH(version) (static_cast<uint32_t>(version) & 0xfff)
#define ndm_VERSION_TWEAK "0"

#define ndm_VERSION ndm_MAKE_VERSION(, , )
